Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: jruby-head
Fetching contributors…

Cannot retrieve contributors at this time

241 lines (234 sloc) 6.936 kb
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>dm-hibernate-adapter</artifactId>
<version>0.1-SNAPSHOT</version>
<packaging>java-gem</packaging>
<distributionManagement>
<repository>
<id>ssh-repository</id>
<url>scpexe://mojo.saumya.de/home/mojo/public</url>
</repository>
</distributionManagement>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-core</artifactId>
<version>${dm.version}</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-transactions</artifactId>
<version>${dm.version}</version>
<type>gem</type>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-core</artifactId>
<version>3.3.2.GA</version>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-annotations</artifactId>
<version>3.4.0.GA</version>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-tools</artifactId>
<version>3.2.4.GA</version>
</dependency>
<!-- L2 cache for Hibernate -->
<!--<dependency>-->
<!--<groupId>org.hibernate</groupId>-->
<!--<artifactId>hibernate-ehcache</artifactId>-->
<!--<version>3.3.2.GA</version>-->
<!--</dependency>-->
<!-- choose this version which can be downloaded publicly -->
<dependency>
<groupId>javax.transaction</groupId>
<artifactId>jta</artifactId>
<version>1.1</version>
</dependency>
<dependency>
<groupId>javassist</groupId>
<artifactId>javassist</artifactId>
<version>3.8.0.GA</version>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>yard</artifactId>
<version>0.5.3</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rake</artifactId>
<version>0.8.7</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rspec</artifactId>
<version>1.3.0</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>slf4r</artifactId>
<version>0.3.1</version>
<type>gem</type>
</dependency>
<!--
does not load from within maven - wrong classloader !!!
<dependency>
<groupId>rubygems</groupId>
<artifactId>jdbc-hsqldb</artifactId>
<version>1.8.0.7</version>
<type>gem</type>
</dependency>
-->
<dependency>
<groupId>com.h2database</groupId>
<artifactId>h2</artifactId>
<version>1.2.128</version>
</dependency>
<dependency>
<groupId>org.apache.derby</groupId>
<artifactId>derby</artifactId>
<version>10.5.3.0_1</version>
</dependency>
<dependency>
<groupId>org.hsqldb</groupId>
<artifactId>hsqldb</artifactId>
<version>2.0.0</version>
</dependency>
<dependency>
<groupId>mysql</groupId>
<artifactId>mysql-connector-java</artifactId>
<version>5.1.9</version>
</dependency>
<dependency>
<groupId>postgresql</groupId>
<artifactId>postgresql</artifactId>
<version>8.4-701.jdbc4</version>
</dependency>
<!-- need a logger for testing -->
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
<version>1.5.2</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>1.2.14</version>
<scope>test</scope>
</dependency>
</dependencies>
<repositories>
<repository>
<id>jboss</id>
<url>http://repository.jboss.com/maven2</url>
</repository>
<repository>
<id>rubygems-releases</id>
<url>http://gems.saumya.de/releases</url>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>sonatype-nexus-snapshots</id>
<name>Sonatype Nexus Snapshots</name>
<url>http://oss.sonatype.org/content/repositories/snapshots</url>
</pluginRepository>
</pluginRepositories>
<properties>
<jruby.plugins.version>0.23.0-SNAPSHOT</jruby.plugins.version>
<jruby.gem.home>${project.build.directory}/rubygems</jruby.gem.home>
<jruby.gem.path>${project.build.directory}/rubygems</jruby.gem.path>
<dm.version>1.0.2</dm.version>
</properties>
<build>
<finalName>${project.artifactId}_ext</finalName>
<extensions>
<extension>
<groupId>org.apache.maven.wagon</groupId>
<artifactId>wagon-ssh-external</artifactId>
<version>1.0-beta-6</version>
</extension>
</extensions>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>jruby-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals><goal>test</goal></goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<id>transient</id>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<configuration>
<specSourceDirectory>spec/transient</specSourceDirectory>
</configuration>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>adapter</id>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<configuration>
<specSourceDirectory>spec/abstract_adapter</specSourceDirectory>
</configuration>
</plugin>
</plugins>
</build>
</profile>
<profile>
<id>dm</id>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<configuration>
<specSourceDirectory>spec/dm_core/public/types</specSourceDirectory>
</configuration>
</plugin>
</plugins>
</build>
</profile>
</profiles>
</project>
Jump to Line
Something went wrong with that request. Please try again.